Status: Closed % Done: 100%
Priority: Normal Spent time: 0.00 hour
Assignee: Cesar Ordiñana
Category: Document view
Target version: 2.0.0-devel-2050
Severity: Add-on version:
gvSIG version: 2.0.0 Add-on build:
Keywords: Proyecto:
Has patch: No Hito:
Add-on name: Unknown
Description

The coordinate boxes change its position/size slightly depending on the decimal numbers showed so they are constantly moving.

Associated revisions
Revision 38512 - 06/25/2012 07:11 AM - Cesar Ordiñana

Instead of adapting each label to its current size depending on the contained text, now the labels are allowed only to grow in width.
Fixes #749.

History
#1 - 06/24/2012 09:46 PM - Joaquín  del Cerro Murciano
- Assignee set to Cesar Ordiñana
- Target version changed from 2.0.0-rc1 to 2.0.0-devel-2050

#2 - 06/25/2012 10:30 AM - Cesar Ordiñana
- Status changed from New to In progress

#3 - 06/25/2012 01:11 PM - Cesar Ordiñana
- Status changed from In progress to Fixed
- % Done changed from 0 to 100

Applied in changeset r38512.

#4 - 06/25/2012 01:15 PM - Cesar Ordiñana

The current behavior was a change from the previous one, with fixed sizes, to try to use the smallest space in the toolbar as possible, as in some
situations or lower resolutions there is not enough space for all the current information.

I have changed the behavior so the width increases to fit each label, but doesn't decrease. Please, check if that behaviour is acceptable.

#5 - 08/22/2012 10:35 AM - María Maluenda
- Status changed from Fixed to Closed

The coordinate boxes in the gvSIG build 2051 not change its position/size and aren't constantly moving. Closed this ticket in the gvSIG build 2051.

I think that it behaviour is acceptable,only that when you changes the scale (5.000.000) with more numbers, the 'scale box' width increases to fit label
but, if you changes the scale (500) the 'scale box' width not decreases to fit label.
